#! /usr/bin/env python
# -*- coding: Latin-1 -*-

# a Python script által végzett feldolgozás eredményének kiíratása :

import cgi                          # interfacemodul a webserverhez
form = cgi.FieldStorage()           # A felhasználó kérésének fogadása :
                                    #    ez egyfajta szótár
if form.has_key("mondat"):          # A kulcs nem létezik, ha a megfelelő
   text = form["mondat"].value      #    mező üres volt
else:
   text ="*** a mondat mezője üres volt ! ***"

if form.has_key("latogato"):        # A kulcs nem létezik, ha a megfelelő
   nomv = form["latogato"].value    #    mező üres volt
else:
   nomv ="nem adta meg a nevét"

print "Content-Type: text/html\n"

print """
<H3>Köszönöm, %s !</H3>
<H4>Ön a következő mondatot adta meg : </H4>
<H3><FONT Color="red"> %s </FONT></H3>""" % (nomv, text)

histogr ={}
for c in text:
   histogr[c] = histogr.get(c, 0) +1

liste = histogr.items()       # tuple-kből álló listává történő átalakítás
liste.sort()                  # a lista rendezése

print "<H4>Az egyes betűk előfordulási gyakorisága a mondatban :</H4>"
for c, f in liste:
   print 'a <B>"%s"</B> betű %s alkalommal fordul elő <BR>' % (c, f)

